@layer base {

  @mixin outlined {
    @apply focus-visible:ring-accent-100 focus-visible:ring-1 focus-visible:ring-offset-1 focus-visible:ring-offset-accent-100 focus-visible:border-accent-100 focus-visible:outline-none focus:ring-accent-100 focus:border-accent-100;
  }

  [type='text'] {
    @apply rounded-sm;

    &:focus {
      @include outlined;
    }
  }

  button:focus-visible {
    @include outlined;
  }
}